// Тоглогч эхний агшинд NxM харцаатай тэгш өнцөгтийн зүүн дээд нүдэнд байрлаж байв.
// Түүнд нэг нүүдлээр эсвэл баруун эсвэл доошоо зэргэлдээ нүдэндээ шилжихийг зөвшөөрдөг.
// ( Зүүн болон дээшээ шилжилтийг хориглодог )
// Тоглогч хичнээн боломжоор баруун доод нүдэнд очиж болохыг тооц.
#include <iostream>
#include <cmath>
#include <string>
#include <algorithm>
using namespace std;

int main()
{

     char x, y;
     cin >> x >> y;
     cout << min(x, y) << endl;

     return 0;
}
